cURL
curl -X GET "https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"auditLog": {
"auditLogId": "<string>",
"publicApiClientId": "<string>",
"clientId": "<string>",
"eventType": "<string>",
"method": "<string>",
"path": "<string>",
"statusCode": 123,
"scopes": [
"<string>"
],
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Audit logs
Get redacted Public API audit log
Requires audit_logs:read.
GET
/
public
/
v1
/
audit-logs
/
{auditLogId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/audit-logs/{auditLogId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"auditLog": {
"auditLogId": "<string>",
"publicApiClientId": "<string>",
"clientId": "<string>",
"eventType": "<string>",
"method": "<string>",
"path": "<string>",
"statusCode": 123,
"scopes": [
"<string>"
],
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I